Subject: Re: Xinareama patch: apply or not apply?

From: "Dmitry Yu. Bolkhovityanov" <[email-masked]>
Date: Sun, 11 Feb 2001 11:22:26 +0600

On 10 Feb 01 at 22:04, [email-masked] wrote:

> On Sat, Feb 10, 2001 at 01:59:58PM -0500, Dan Espen wrote:
[SNIP]
> > What do you think?
>
> I really don't know.  The patch applies quite cleanly to current
> CVS (except a few -Wall -Werror problems), but of course I'd have
> to proof read it.  But first I need to upgrade my SuSE 6.4 to 7.0
> or 7.1 so that I can compile with Xinerama support.  An option
> would be to provide the Xinerama patch in a later 2.4.x release.

    Hi!

    When proofreading, if you'll find any bugs, or answers to notes (I've
marked a few places with "/*!!!"), can you please mail me with it?

    BTW, I'm following the [email-masked] list, and one of the most
frequently debated question by those who use >1 monitors is "window managers
and Xinerama" -- "why windows are split between screens".  And there's
currently no choice of Xinerama-aware WMs -- only Enlightenment (ah, yes,
also the SawFish, RedHat's Gnome-WM du jour, but I've heard its Xinerama
support is buggy).

    While my patch does only half of the work, it is better than nothing,
and it provides an infrastructure for complete xineramification.

       ___________________________________________________________________
       Dmitry Yu. Bolkhovityanov  |  Novosibirsk, RUSSIA
       phone (383-2)-39-49-56     |  The Budker Institute of Nuclear Physics
                                  |  Lab. 5-13
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Sun, 11 Feb 2001 13:51:04 +0100

> marked a few places with "/*!!!"), can you please mail me with it?

One thing I noticed is that you use a DO_MALLOC macro which maps
to malloc().  There is a comment that the return code should be
checked.  You should use the safemalloc() function which already
does this check.  I get a few errors when compiling with -Wall
-Werror and Xinerama disabled.

> and it provides an infrastructure for complete xineramification.

Is there any risk that some old code breaks if you compile with
Xinerama support disabled?

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]